<div class="jumbotron">
    <h1>Interactive Website Crawlbot</h1>
    <?php
    /*
    $form = $this->form;
    $form->prepare();

    // Assuming the "contact/process" route exists...
    $form->setAttribute('action', $this->url('contact/process'));

    // Set the method attribute for the form
    $form->setAttribute('method', 'post');

    // Render the opening tag
    echo $this->form()->openTag($form);
    ?>
    <div class="form_element">
        <?= $this->formRow($form->get('name')) ?>
    </div>

    <div class="form_element">
        <?= $this->formRow($form->get('captcha')) ?>
    </div>

    <?= $this->formElement($form->get('security')) ?>
    <?= $this->formElement($form->get('send')) ?>

    <?= $this->form()->closeTag() ?>
    */
    ?>
    <?php
    $form = $this->form;
    $form->prepare();
    //echo $this->form()->render($form);

    echo $this->form()->openTag($form);
    foreach ($form->getFieldsets() as $fieldset) {
        //echo $this->form()->openTag($fieldset);
        foreach ($fieldset->getElements() as $element) {
            ?>
            <div class="form-group">
                <?= (null !== $element->getLabel()) ? $this->formLabel($element) : '' ?>
                <?= $this->formElement($element) ?>
                <?= $this->formElementErrors()->render($element, ['class' => 'help-block']) ?>
            </div>
            <?php
        }
        //echo $this->form()->closeTag($fieldset);
    }
    foreach ($form->getElements() as $element) {
        ?>
        <div class="form-group">
            <?= (null !== $element->getLabel()) ? $this->formLabel($element) : '' ?>
            <?= $this->formElement($element) ?>
            <?= $this->formElementErrors()->render($element, ['class' => 'help-block']) ?>
        </div>
        <?php
    }
    echo $this->form()->closeTag();
    ?>
</div>

<?php
if ($this->get('crawlbot')) {
    $this->inlineScript()->captureStart();
    ?>
    var url = JSON.parse('<?= $this->json($this->get('url')) ?>');
    var crawlbot = JSON.parse('<?= $this->json($this->get('crawlbot')) ?>');
    crawlIterate({url: url, crawlbot: crawlbot});
    <?php
    $this->inlineScript()->captureEnd();
}
